NoScript 2.9.5.1 compatibility

General discussion about the NoScript extension for Firefox
Post Reply
barbaz
Senior Member
Posts: 9176
Joined: Sat Aug 03, 2013 5:45 pm

NoScript 2.9.5.1 compatibility

Post by barbaz » Wed Nov 23, 2016 2:04 am

https://addons.mozilla.org/addon/noscript/versions/ wrote:Version 2.9.5.1
Released November 21, 2016 • 554.6 kB
Works with Firefox 45.0 and later, SeaMonkey 2.43 and later

The SeaMonkey version based on Gecko 45 is actually 2.42. Is this mismatch deliberate, and if so why?

https://noscript.net/getit wrote:Supported browsers: Firefox, SeaMonkey, IceWeasel, Tor Browser (where it is built-in)
Other browsers based on Gecko versions >= 45

IceWeasel was dropped before it got to Gecko 45. Thus, it is no longer supported by NoScript and should be removed from that list.
*Always* check the changelogs BEFORE updating that important software!
-

User avatar
Giorgio Maone
Site Admin
Posts: 8700
Joined: Wed Mar 18, 2009 11:22 pm
Location: Palermo - Italy
Contact:

Re: NoScript 2.9.5.1 compatibility

Post by Giorgio Maone » Wed Nov 23, 2016 9:18 am

Fixed both instances, thanks.
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:50.0) Gecko/20100101 Firefox/50.0

Rollo
Junior Member
Posts: 26
Joined: Wed Dec 17, 2014 11:59 am

Re: NoScript 2.9.5.1 compatibility

Post by Rollo » Wed Nov 23, 2016 10:29 am

barbaz wrote:IceWeasel was dropped before it got to Gecko 45.


Yes, IceWeasel no longer exist:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=815006

Maybe the same will happen for Icedove/Thunderbird.
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816679
Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101 Firefox/45.0

barbaz
Senior Member
Posts: 9176
Joined: Sat Aug 03, 2013 5:45 pm

Re: NoScript 2.9.5.1 compatibility

Post by barbaz » Wed Nov 23, 2016 3:58 pm

Giorgio Maone wrote:Fixed both instances, thanks.

Image
*Always* check the changelogs BEFORE updating that important software!
-

barbaz
Senior Member
Posts: 9176
Joined: Sat Aug 03, 2013 5:45 pm

Re: NoScript 2.9.5.1 compatibility

Post by barbaz » Fri Nov 25, 2016 5:13 pm

barbaz wrote:The SeaMonkey version based on Gecko 45 is actually 2.42.

This one came un-fixed with the last dev build -
https://addons.mozilla.org/addon/noscript/versions/2.9.5.2rc1 wrote:Version 2.9.5.2rc1
Released November 24, 2016 • 555.7 kB
Works with Firefox 45.0 and later, SeaMonkey 2.43 and later
*Always* check the changelogs BEFORE updating that important software!
-

barbaz
Senior Member
Posts: 9176
Joined: Sat Aug 03, 2013 5:45 pm

Re: NoScript 2.9.5.1 compatibility

Post by barbaz » Thu Dec 01, 2016 1:20 am

Bump.

NoScript dev builds still have wrong SM compat info, and so does 2.9.5.2 stable.
*Always* check the changelogs BEFORE updating that important software!
-

Post Reply